LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
Command.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::Command
| these values specify the different command types available.

## Variables
const short | CONTEXTMENU = 1
| specifies a requests for a context menu. More...
const short | STARTDRAG = 2
| specifies the beginning of a drag operation. More...
const short | WHEEL = 3
| specifies a mouse wheel operation. More...
const short | STARTAUTOSCROLL = 4
| specifies the beginning of an auto scroll operation. More...
const short | AUTOSCROLL = 5
| specifies an auto scroll operation. More...
const short | VOICE = 6
| specifies a request for a voice operation. More...
const short | STARTEXTTEXTINPUT = 7
| specifies the beginning of an extended text input operation. More...
const short | EXTTEXTINPUT = 8
| specifies an extended text input operation. More...
const short | ENDEXTTEXTINPUT = 9
| specifies the end of an extended text input operation. More...
const short | INPUTCONTEXTCHANGE = 10
| specifies that the input context has been changed. More...
const short | CURSORPOS = 11
| specifies the cursor position. More...
const short | PASTESELECTION = 12
| specifies a paste selection command. More...
const short | MODKEYCHANGE = 13
| specifies that the state of a key modifier has changed. More...
const short | HANGUL_HANJA_CONVERSION = 14
| specifies a Hangul hanja conversion command. More...
const short | USER = 4096
| specifies a user-defined command. More...